Fractal Softworks Forum

Please login or register.

Login with username, password and session length
Advanced search  

Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.

Messages - Orloth

Pages: 1 [2]
16
Bug Reports & Support (modded) / Re: Java SE error when saving
« on: January 29, 2017, 10:50:23 AM »
Well, changed to Java 7 and now instead of a Java SE binary error I get a Fatal Heap error. This a memory error isn't? I have the vramp file setup to start at 4mg and expand to 6mg if needed...


-server -XX:CompilerThreadPriority=1 -XX:+CompilerThreadHintNoPreempt -Djava.library.path=native\\windows -Xms4096m -Xmx6144m -Xss4096k -classpath janino.jar;commons-compiler.jar;commons-compiler-jdk.jar;starfarer.api.jar;starfarer_obf.jar;jogg-0.0.7.jar;jorbis-0.0.15.jar;json.jar;lwjgl.jar;jinput.jar;log4j-1.2.9.jar;lwjgl_util.jar;fs.sound_obf.jar;fs.common_obf.jar;xstream-1.4.2.jar -Dcom.fs.starfarer.settings.paths.saves=..\\saves -Dcom.fs.starfarer.settings.paths.screenshots=..\\screenshots -Dcom.fs.starfarer.settings.paths.mods=..\\mods -Dcom.fs.starfarer.settings.paths.logs=. com.fs.starfarer.StarfarerLauncher




17
Bug Reports & Support (modded) / Re: Java SE error when saving
« on: January 29, 2017, 09:26:36 AM »
I had made the memory changes, but that is the first time I have seen info on not using JRE 8. thank you very much for the help, I will download java 7 and give it a whirl.

18
Bug Reports & Support (modded) / Java SE error when saving
« on: January 29, 2017, 07:41:59 AM »
I have had repeated Java SE binary errors when I save games. Generally happens later on in a play through. This corrupts the save sadly. I have found a thread on how to go back and get the save before that running, (thank you to the individual posting on removing the .bak), but I still lose all progress made. I have upped the memory in vramp to the 4mg threshold so the game has memory for the mods so I am unsure what can be causing this. Is this fixable on my end or is it a Java/Starsector compatability issue that will work out as both get new updates? Using the latest java and SS 7.2

Thank you in advance for any information on this.

19
General Discussion / Re: Java memory question
« on: January 14, 2017, 03:27:57 PM »
Ah, thank you very much, much appreciated.

20
General Discussion / Java memory question
« on: January 14, 2017, 03:16:34 PM »
I have watched the video on how increase the memory, but I noticed a discrepancy in my vmparams file and the one he has in video.  On the specific line where we are changing memory his shows:
 -Xms1024m -Xmx1024m

My file has extra characters not in his video:
-Xms1024m -Xmx1024m -Xss1024k


That -Xss bit has me stumped as it is not in the video. I can easily change the memory as instructed, but don't know what to do with that last bit.
Any words of wisdom on this would be appreciated.

Thanks in advance

21
Mods / Re: [0.7.2a] Scy V1.02 (20/11/2016)
« on: November 28, 2016, 09:05:47 PM »
Well, deleting the old file and installing new one was the key. I simply extracted into the original folder. I will have to make sure I actually delete old mod files prior to getting the new ones in the future.


Thank you for your help and the speed in which you replied.

22
Mods / Re: [0.7.2a] Scy V1.02 (20/11/2016)
« on: November 28, 2016, 08:15:30 PM »
Updated to newest 1.02 and receive this:

Fatal:Spec of class[com.starfarer.loading.specs.classSOo] with id
[SCYPHASEMISSILE] not found



Is this error tied to the need for the archived config file? I tried turning off dynasector but even without it I still get the error

23
Mods / Re: [0.7.2a] Nexerelin v0.7.6b (fixes 2016-10-09)
« on: October 09, 2016, 11:30:53 AM »
thank you all for the quick responses. The zip issue seemed to be it. It just didn't like the windows version. thank you again!

24
Mods / Re: [0.7.2a] Nexerelin v0.7.6b (fixes 2016-10-09)
« on: October 09, 2016, 10:17:06 AM »
Sorry to bother, but I am unable to install/copy the new version. I get a ".gitignore". Listed as error 0x80004005: unspecified error.  I deleted the 7.6 as instructed so I do not think its an issue with the old file mixing with new.

Pages: 1 [2]